# Transferências (TED)

<mark style="color:green;">`POST`</mark> `https://dev.stric.com.br/transfers`

#### Headers

| Name                                            | Type   | Description               |
| ----------------------------------------------- | ------ | ------------------------- |
| account<mark style="color:red;">\*</mark>       | String | ID da conta a ser operada |
| authorization<mark style="color:red;">\*</mark> | String | Bearer Token              |

#### Request Body

| Name                                                   | Type    | Description                  |
| ------------------------------------------------------ | ------- | ---------------------------- |
| amount<mark style="color:red;">\*</mark>               | Number  | Valor                        |
| beneficiary{}                                          | Obeject | Objeto beneficiário          |
| beneficiary.name<mark style="color:red;">\*</mark>     | String  | Nome                         |
| beneficiary.document<mark style="color:red;">\*</mark> | String  | CPF/CNPJ                     |
| bank<mark style="color:red;">\*</mark>                 | String  | Banco (3 dígitos)            |
| branch<mark style="color:red;">\*</mark>               | String  | Agência                      |
| account<mark style="color:red;">\*</mark>              | String  | Número da conta sem o dígito |
| accountDigit<mark style="color:red;">\*</mark>         | String  | Dígito da conta              |

{% tabs %}
{% tab title="200: OK Caso de sucesso" %}

```javascript
{
    "credit": false,
    "amount": 1,
    "description": "TRANSFERÊNCIA PARA JOSÉ HENRIQUE MARTINS",
    "rateValue": 0,
    "consignorName": "JOSÉ HENRIQUE MARTINS",
    "consignorDocument": "17447408018",
    "consignorBankNumber": "450",
    "consignorBankBranch": "0001",
    "consignorBankAccount": "189881001",
    "consignorBankAccountDigit": "7",
    "beneficiaryName": "JOSÉ HENRIQUE MARTINS",
    "beneficiaryDocument": "17447408018",
    "beneficiaryBankNumber": "341",
    "beneficiaryBankBranch": "0001",
    "beneficiaryBankAccount": "03462",
    "beneficiaryBankAccountDigit": "4",
    "status": "PROCESSING",
    "id": "16ad60c4-18a9-4db4-942b-d0234178b8f8",
    "date": "2022-06-28T14:03:47.473Z"
}
```

{% endtab %}

{% tab title="400: Bad Request Ausencia de parâmetros obrigatórios" %}

```javascript
{
    "statusCode": 400,
    "error": "Bad Request",
    "message": "Validation failed",
    "validation": {
        "body": {
            "source": "body",
            "keys": [
                "beneficiary.branch"
            ],
            "message": "\"beneficiary.branch\" is not allowed to be empty"
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stric.com.br/documentacao/transferencias/transferencias-ted.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
